summaryrefslogtreecommitdiff
path: root/jenkins-unittests.sh
diff options
context:
space:
mode:
authorErik Johnston <erikj@matrix.org>2016-03-30 12:43:26 +0100
committerErik Johnston <erikj@matrix.org>2016-03-30 12:43:26 +0100
commit6f1866ccc545532f466c3ab33d9531eb59303907 (patch)
treede838c7f39544ba52cd94a429bb65d7222a4a7cb /jenkins-unittests.sh
parentfb47398e5380abd439a4c539e9ff21e5fd0173f1 (diff)
Imported Upstream version 0.14.0
Diffstat (limited to 'jenkins-unittests.sh')
-rwxr-xr-xjenkins-unittests.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/jenkins-unittests.sh b/jenkins-unittests.sh
new file mode 100755
index 00000000..104d5119
--- /dev/null
+++ b/jenkins-unittests.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -eux
+
+: ${WORKSPACE:="$(pwd)"}
+
+export PYTHONDONTWRITEBYTECODE=yep
+export SYNAPSE_CACHE_FACTOR=1
+
+# Output test results as junit xml
+export TRIAL_FLAGS="--reporter=subunit"
+export TOXSUFFIX="| subunit-1to2 | subunit2junitxml --no-passthrough --output-to=results.xml"
+# Write coverage reports to a separate file for each process
+export COVERAGE_OPTS="-p"
+export DUMP_COVERAGE_COMMAND="coverage help"
+
+# Output flake8 violations to violations.flake8.log
+# Don't exit with non-0 status code on Jenkins,
+# so that the build steps continue and a later step can decided whether to
+# UNSTABLE or FAILURE this build.
+export PEP8SUFFIX="--output-file=violations.flake8.log || echo flake8 finished with status code \$?"
+
+rm .coverage* || echo "No coverage files to remove"
+
+tox -e py27